Bug 6786 - rebuild --with mysql failed
: rebuild --with mysql failed
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/flow-tools)
: 2.4
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-05 20:50 by
Modified: 2008-02-15 18:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-05 20:50:14
дистр мастер 2.4:
пакет flow-tools 0.67-alt5  src.rpm не удается пересобрать при условии включения
опции сборки --with mysql

то процесс сборки вылетает со словами 

if gcc -I./../lib -L./../lib  -I. -I. -I../lib    -g -Wall -g -Wall -MT
flow-xlate.o -MD -MP -MF ".deps/flow-xlate.Tpo" -c -o flow-xlate.o flow-xlate.c; \
then mv -f ".deps/flow-xlate.Tpo" ".deps/flow-xlate.Po"; else rm -f
".deps/flow-xlate.Tpo"; exit 1; fi
flow-export.c: In function `format3':
flow-export.c:761: error: `debug' undeclared (first use in this function)
flow-export.c:761: error: (Each undeclared identifier is reported only once
flow-export.c:761: error: for each function it appears in.)
if gcc -I./../lib -L./../lib  -I. -I. -I../lib    -g -Wall -g -Wall -MT
flow-merge.o -MD -MP -MF ".deps/flow-merge.Tpo" -c -o flow-merge.o flow-merge.c; \
then mv -f ".deps/flow-merge.Tpo" ".deps/flow-merge.Po"; else rm -f
".deps/flow-merge.Tpo"; exit 1; fi
make[1]: *** [flow_export-flow-export.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/home/caramel/RPM/BUILD/flow-tools-0.67/src'
make: *** [all-recursive] Error 1

если в строке 693 файла flow-export.c

добавить

  int db_port;
  int len;
+ int debug;

  MYSQL mysql;

Тогда начинает собираться и с mysql.

Исправьте это в очередной сборке, плиз ;)
------- Comment #1 From 2005-05-05 20:52:43 -------
точнее, в мастере сборка -alt4, а не -alt5 (-alt5 сейчас в сизифе, как она
собирается с mysql, непроверено)
------- Comment #2 From 2005-05-06 09:11:06 -------
(In reply to comment #1) 
> точнее, в мастере сборка -alt4, а не -alt5 (-alt5 сейчас в сизифе, как она 
> собирается с mysql, непроверено) 
Нету. Добавлю. 
 
 
 
------- Comment #3 From 2005-05-13 09:54:22 -------
  
fixed in flow-tools 0.67-alt6 
  
  
------- Comment #4 From 2008-02-15 18:50:23 -------
reported as fixed